from model.DateUtils import DateUtils
from model.DataBaseUtils import MysqlUtils

db = MysqlUtils()
du = DateUtils()


def insert_data():
    bt_sql = '''
    select b.pitcher,b.channel ,DATE_FORMAT(a.`date`, '%Y-%m-%d'),sum(cost) as cost,sum(view_count) as view_count ,
    sum(valid_click_count) as click_count from daily_tt a 
    left join bytedance_pitcher_change b
    on a.account_id =b.advertiser_id 
    group by b.pitcher ,a.`date` ,b.channel 
    '''
    byte_list = db.quchen_text.get_data_list(bt_sql)
    for _ in byte_list:
        print(_)
    isql = "insert into bytedance_info_tmp values (%s,%s,%s,%s,%s,%s)"
    db.dm.execute("truncate table bytedance_info_tmp")
    db.dm.executeMany(isql, byte_list)


if __name__ == '__main__':
    insert_data()
